## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 14;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name svgwrite

Name:           python-%{pypi_name}
Version:        1.4.3
Release:        %autorelease
Summary:        Python library to create SVG drawings

License:        MIT
URL:            https://github.com/mozman/svgwrite
Source0:        %{pypi_name}-%{version}.zip
Patch0:         0001-Skip-test-that-needs-internet-connection.patch

BuildArch: noarch

%description
Python library to create SVG drawings.

%package -n     python3-%{pypi_name}
Summary:        Python 3 library to create SVG drawings
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pytest
Requires:       python3-setuptools
Requires:       python3-pyparsing
%{?python_provide:%python_provide python3-%{pypi_name}}

%generate_buildrequires
%pyproject_buildrequires

%description -n python3-%{pypi_name}
Python 3 library to create SVG drawings.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel


%install
%pyproject_install
# Remove shebang
for lib in %{buildroot}%{python3_sitelib}/%{pypi_name}/{,*/}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%check
%{__python3} -m unittest discover -s tests

%files -n python3-%{pypi_name}
%license LICENSE.TXT
%doc NEWS.rst README.rst
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/
%{python3_sitelib}/%{pypi_name}/


%changelog
## START: Generated by rpmautospec
* Tue Jun 10 2025 Vojtech Trefny <vtrefny@redhat.com> - 1.4.3-14
- Migrated to %%pyproject macros

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.4.3-13
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.4.3-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 13 2023 Vojtech Trefny <vtrefny@redhat.com> - 1.4.3-7
- license migrated to SPDX

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.4.3-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.3-2
- Rebuilt for pyparsing-3.0.9

* Fri Jul 15 2022 Vojtech Trefny <vtrefny@redhat.com> - 1.4.3-1
- Update to 1.4.3

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.4.2-2
- Rebuilt for Python 3.11

* Wed Mar 23 2022 Vojtech Trefny <vtrefny@redhat.com> - 1.4.2-1
- Update to 1.4.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 18 2021 Vojtech Trefny <vtrefny@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Fri Aug 21 2020 Vojtech Trefny <vtrefny@redhat.com> - 1.4-1
- Update to 1.4

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.3.1-7
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 1.3.1-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.3.1-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 15 2019 Vojtech Trefny <vtrefny@redhat.com> - 1.3.1-2
- Skip 'test_pretty_print' test case due to Python 3.8 changes

* Thu Jul 04 2019 Vojtech Trefny <vtrefny@redhat.com> - 1.3.1-1
- New version 1.3.1

* Fri Jun 28 2019 Vojtech Trefny <vtrefny@redhat.com> - 1.3.0-1
- New version 1.3.0

* Mon Feb 25 2019 Vojtech Trefny <vtrefny@redhat.com> - 1.2.1-1
- New version 1.2.1

* Thu Feb 21 2019 Mohan Boddu <mboddu@bhujji.com> - 1.1.12-6
- Revert "Doesn't build any more and nothing depends on it."

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 1.1.12-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 1.1.12-2
- Update Python 2 dependency declarations to new packaging standards

* Wed Dec 27 2017 Julien Enselme <jujens@jujens.eu> - 1.1.12-1
- Update to 1.1.12

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 03 2017 Julien Enselme <jujens@jujens.eu> - 1.1.11-1
- Update to 1.1.11

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 1.1.8-2
- Rebuild for Python 3.6

* Sun Sep 18 2016 Julien Enselme <jujens@jujens.eu> - 1.1.8-1
- Update to 1.1.8

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Nov 06 2015 Julien Enselme <jujens@jujens.eu> - 1.1.6-4
- Correct provides for python2 package

* Thu Nov 05 2015 Julien Enselme <jujens@jujens.eu> - 1.1.6-3
- Rebuilt for python 3.5

* Thu Nov 05 2015 Julien Enselme <jujens@jujens.eu> - 1.1.6-2
- Update package with new python guidelines

* Fri Jun 19 2015 Julien Enselme <jujens@jujens.eu> - 1.1.6-1
- Update to 1.1.6
- Reformat Requires and BuildRequires

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 1.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Apr 15 2014 Julien Enselme <julien.enselme@centrale-marseille.fr> - 1.1.5-1
- Update to 1.1.5 from upstream

* Tue Mar 25 2014 Julien Enselme <jujens@jujens.eu> - 1.1.4-2
- Add python-setuptools as a dependancy

* Tue Mar 25 2014 Julien Enselme <jujens@jujens.eu> - 1.1.4-1
- Update to 1.1.4 from upstream
- The bundled library was removed upstream

* Mon Mar 17 2014 Julien Enselme <jujens@jujens.eu> - 1.1.3-1
- Initial import of python-svgwrite (#1070941).
## END: Generated by rpmautospec
